Skip to content
extensions / Commerce extension
POST/__runtime/user/rma/{rma_number}/messages

Create RMA Message

Appends a customer message, up to five uploaded RMA attachments, or both to the signed-in customer's return request, then returns the updated message thread.

GETPOST

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • Requires an authenticated storefront customer session.

Headers

NameRequiredTypeDetails
CookieYesNot specified
Description: Value used by this operation.
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
rma_numberYesNot specified
Description: Value used by this operation.

Query Parameters

NameRequiredTypeDetails
project_idYesinteger
Description: Target project identifier.
pageNointeger
Description: Page number for paginated results.
per_pageNointeger
Description: Maximum number of records to return.
qNostring
Description: Search text used by this operation.

Request Body

Schema: RuntimeRmaMessagePayload

FieldRequiredTypeDetails
bodyNostring
Description: Text value.
attachmentsNoarray<string>
Description: Array value.
Items: string

Response Body

Example 200 response

json
{
  "success": [],
  "message": "string"
}

Errors

400 BAD_REQUEST401 UNAUTHORIZED404 NOT_FOUND500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified